Page MenuHomePhabricator

Remove byte counting from SourceManager [NFC]
ClosedPublic

Authored by teemperor on Aug 15 2018, 2:05 PM.

Details

Summary

Similar to what we did in D50681, we now stop manually byte counting here
in the SourceManager.

Diff Detail

Repository
rL LLVM

Event Timeline

teemperor created this revision.Aug 15 2018, 2:05 PM
teemperor created this object with visibility "teemperor (Raphael Isemann)".
teemperor edited the summary of this revision. (Show Details)Aug 28 2018, 1:04 PM
teemperor added a reviewer: Restricted Project.
teemperor set the repository for this revision to rLLDB LLDB.
teemperor added a subscriber: lldb-commits.
teemperor changed the visibility from "teemperor (Raphael Isemann)" to "Public (No Login Required)".Aug 28 2018, 1:14 PM
JDevlieghere accepted this revision.Sep 11 2018, 9:06 AM
JDevlieghere added a subscriber: JDevlieghere.

Maybe mention that this is NFC in the commit msg? Otherwise this LGTM.

This revision is now accepted and ready to land.Sep 11 2018, 9:06 AM
teemperor retitled this revision from Remove byte counting from SourceManager to Remove byte counting from SourceManager [NFC].Sep 12 2018, 3:07 AM
teemperor updated this revision to Diff 165225.Sep 13 2018, 2:18 AM
  • Fixed conflicts before merging.
This revision was automatically updated to reflect the committed changes.